## org.h2.mvstore.cache
Class CacheLongKeyLIRS.Config

    java.lang.Object
      org.h2.mvstore.cache.CacheLongKeyLIRS.Config

Enclosing class:
  CacheLongKeyLIRS<V>

    public static class CacheLongKeyLIRS.Config

extends java.lang.Object

The cache configuration.

Field Summary
`long` `maxMemory` The maximum memory to use (1 or larger).
`int` `nonResidentQueueSize` The number of entries in the non-resident queue, as a factor of the number of all other entries in the map.
`int` `segmentCount` The number of cache segments (must be a power of 2).
`int` `stackMoveDistance` How many other item are to be moved to the top of the stack before the current item is moved.

Constructor Summary
`CacheLongKeyLIRS.Config()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxMemory

    public long maxMemory

  The maximum memory to use (1 or larger).

### segmentCount

    public int segmentCount

  The number of cache segments (must be a power of 2).

### stackMoveDistance

    public int stackMoveDistance

  How many other item are to be moved to the top of the stack before the current item is moved.

### nonResidentQueueSize

    public int nonResidentQueueSize

  The number of entries in the non-resident queue, as a factor of the number of all other entries in the map.

Constructor Detail

### CacheLongKeyLIRS.Config

    public CacheLongKeyLIRS.Config()